Subject: [PATCH v6 6/7] drivers: cpuidle: initialize big.LITTLE driver through DT

From: [email-masked] (Catalin Marinas)
Date: Wed, 23 Jul 2014 17:26:26 +0100

On Mon, Jul 21, 2014 at 05:06:25PM +0100, Lorenzo Pieralisi wrote:
> With the introduction of DT based idle states, CPUidle drivers for ARM
> can now initialize idle states data through properties in the device tree.
> 
> This patch adds code to the big.LITTLE CPUidle driver to dynamically
> initialize idle states data through the updated device tree source file.
> 
> Cc: Chander Kashyap <[email-masked]>
> Signed-off-by: Lorenzo Pieralisi <[email-masked]>

I think for this patch (and the exynos one) we should still allow the
driver to work fine with old DT. Basically if the information is not in
DT, fall back to the original static definitions.

-- 
Catalin